#### D.12.7.6 boundDes

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  boundDes(p); poly p

Return:
  int: an upper bound for the number of real roots of p, with the same parity as the actual number of real roots of p.

Assume:
  p is a univariate polynomial with rational coefficients

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    boundDes(p);
    ==> 3
    p = p*(x2+1);
    boundDes(p);
    ==> 5

See also: boundBuFou.

User manual for Singular version 4.4.1, 2025, generated by texi2html.